#!/bin/sh
#------------------------------------------------
# IPIP tunnel config scipt on gateway side
#
# By Yu Cai (ycai@uccs.edu) at UCCS, June 2003
#------------------------------------------------

iptables -F
iptables -P INPUT ACCEPT
iptables -P FORWARD ACCEPT
echo "1">/proc/sys/net/ipv4/ip_forward

#define var
client_ip=128.198.61.51
proxy_ip=128.198.60.42
gw_ip=128.198.60.200
gw_gw=128.198.60.129
target_ip=128.198.60.201
tunl=tunl2

#config tunnel between gateway and proxy
ip tunnel del $tunl 2>/dev/null
ip tunnel add $tunl mode ipip remote $proxy_ip dev eth0 
ifconfig $tunl $gw_ip
ip link set $tunl up
ip route add $proxy_ip via $gw_gw dev $tunl onlink

#route traffic between client and gateway through tunnel
ip route add $client_ip via $gw_gw dev $tunl onlink
