#include "common.h"

void do_client_loop(BIO *conn)
{
    int  err;
//    int n;
    char buf[80]="setup ipip tunnel for libresolv\n";
//for(n=1;n<=1;n++){
    err = BIO_write(conn, buf, sizeof(buf));
    fprintf(stderr, "Talking to proxy server ...\n");
    if (err <= 0)
       return;    
//}    
}

int main(int argc, char *argv[])
{
    char *SERVER;
    if(argc <= 1) {
	 fprintf(stderr,"You must specify the server IP.\n");		
	 return 0;
    }
    else {
	SERVER =(++argv)[0];
	strcat(SERVER,":");
	strcat(SERVER, PORT);
    }			
    
    BIO  *conn;

    init_OpenSSL();

    conn = BIO_new_connect(SERVER);
    if (!conn)
        int_error("Error creating connection BIO");

    if (BIO_do_connect(conn) <= 0)
        int_error("Error connecting to remote machine");

    fprintf(stderr, "SSL Connection opened\n");
    do_client_loop(conn);
    fprintf(stderr, "SSL Connection closed\n");

    BIO_free(conn);
    return 0;
}

