#!/bin/sh
#------------------------------------------------
# IPIP tunnel config scipt on client side
#
# By Yu Cai (ycai@uccs.edu) at UCCS, June 2003
#------------------------------------------------

./cleanipip.sh

#define var
client_ip=192.168.0.1
client_gw=192.168.0.1
proxy_ip=192.168.0.3
target_ip=192.168.4.2 #128.198.60.167
tunl=tunl1

#iptable
iptables -F
iptables -P INPUT ACCEPT
iptables -P FORWARD ACCEPT
#enable ip forwarding
echo "1" > /proc/sys/net/ipv4/ip_forward

#config tunnel between client and proxy
/sbin/ip tunnel del $tunl 
/sbin/ip tunnel add $tunl mode ipip remote $proxy_ip dev eth0 
/sbin/ifconfig $tunl $client_ip
/sbin/ip link set $tunl up

#route client and proxy
/sbin/ip route del $proxy_ip 
/sbin/ip route add $proxy_ip via $client_gw dev $tunl 

#route traffic between client and target through tunnel
/sbin/ip route del $target_ip 
/sbin/ip route add $target_ip via $client_gw dev $tunl 

#route
target_ip=128.198.60.167
/sbin/ip route del $target_ip
/sbin/ip route add $target_ip via $client_gw dev $tunl

gw_ip=192.168.2.4
/sbin/ip route del $gw_ip
/sbin/ip route add $gw_ip via $client_gw dev $tunl
